Bug 179606 - dns/opendnssec fails to build with SQLite and alternate LOCALBASE
Summary: dns/opendnssec fails to build with SQLite and alternate LOCALBASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 05:00 UTC by Erick Turnquist
Modified: 2013-06-21 22:10 UTC (History)
0 users

See Also:


Attachments
file.diff (469 bytes, patch)
2013-06-16 05:00 UTC, Erick Turnquist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erick Turnquist 2013-06-16 05:00:00 UTC
In my make.conf, I have:

PREFIX=/usr/pkg
LOCALBASE=/usr/pkg

When building opendnssec without MySQL selected (so, using the default of SQLite), the build fails:

checking for database backend... SQLite3
checking for sqlite3... /usr/pkg/bin/sqlite3
checking what are the SQLite3 includes... -I/usr/local/include
checking what are the SQLite3 libs... -L/usr/local/lib -lsqlite3
checking sqlite3.h usability... no
checking sqlite3.h presence... no
checking for sqlite3.h... no
configure: error: Can't find SQLite3 headers

Fix: We simply need to pass --with-sqlite3=${LOCALBASE} to configure, just like we already do for MySQL. There is a patch attached.

Patch attached with submission follows:
How-To-Repeat: Build and install sqlite3 somewhere other than /usr/local and then build opendnssec.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-17 00:51:24 UTC
Maintainer of dns/opendnssec,

Please note that PR ports/179606 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179606

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-17 00:51:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jaap Akkerhuis 2013-06-17 16:05:55 UTC
Ah yes, good catch. I agree with the patch,

	jaap

    Maintainer of dns/opendnssec,
    
    Please note that PR ports/179606 has just been submitted.
    
    If it contains a patch for an upgrade, an enhancement or a bug fix
    you agree on, reply to this email stating that you approve the patch
    and a committer will take care of it.
    
    The full text of the PR can be found at:
        http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179606
    
    -- 
    Edwin Groothuis via the GNATS Auto Assign Tool
    edwin@FreeBSD.org
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-06-17 19:21:46 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 William Grzybowski freebsd_committer 2013-06-21 21:28:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-06-21 22:00:53 UTC
Author: wg
Date: Fri Jun 21 21:00:44 2013
New Revision: 321504
URL: http://svnweb.freebsd.org/changeset/ports/321504

Log:
  dns/opendnssec: fix build with sqlite
  
  - Fix build with non-default LOCALBASE and sqlite
  
  PR:		ports/179606
  Submitted by:	Erick Turnquist <jhujhiti@adjectivism.org>
  Approved by:	maintainer

Modified:
  head/dns/opendnssec/Makefile

Modified: head/dns/opendnssec/Makefile
==============================================================================
--- head/dns/opendnssec/Makefile	Fri Jun 21 20:40:28 2013	(r321503)
+++ head/dns/opendnssec/Makefile	Fri Jun 21 21:00:44 2013	(r321504)
@@ -46,6 +46,7 @@ PLIST_SUB+=	MYSQL=""
 PORTDATA=	migrate_adapters_1.mysql migrate_keyshare_mysql.pl \
 		migrate_zone_delete.mysql migrate_id_mysql.pl migrate_to_ng_mysql.pl
 .else
+CONFIGURE_ARGS+=--with-sqlite3=${LOCALBASE}
 BUILD_DEPENDS+=	sqlite3>=3.3.9:${PORTSDIR}/databases/sqlite3
 LIB_DEPENDS+=	sqlite3:${PORTSDIR}/databases/sqlite3
 PLIST_SUB+=	SQLITE=""
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 William Grzybowski freebsd_committer 2013-06-21 22:01:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!